/*======================================== §{[Fonte da Página]}§===========================================*/
@font-face {
    font-family: 'Font-Asthernius';
    src: url(/Fontes/Fonte.ttf);
}

/*======================================== §{[Fonte da Página]}§===========================================*/



/*======================================== §{[]}§===========================================*/

* {

    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    scroll-behavior: smooth;
}

/*======================================== §{[]}§===========================================*/






/*============================ §{[Cores de Aproveitamento em Massa]}§===============================*/
:root {

    --bg-color: #040709;
    --gradient-white-bg: radial-gradient(#8300ff 1%, #040709 20%, #3c00a4 300%, #040709 90%);
    --gradient-color-bg: linear-gradient(120deg, #3c00a4 50%, #8300ff 100%);
    --main-color: #3c00a4;
    --font-color: #8300ff;
    --hover-box-shadow: rgb(166, 0, 255)0px 10px 20px,
        #170101 0px 6px 6px;
    --gradient-white-bg2: linear-gradient(-120deg, #040709 50%, rgb(21, 0, 59) 100%);

}

/*============================ §{[Cores de Aproveitamento em Massa]}§===============================*/


body {
    font-family: 'Font-Asthernius';
    background: var(--bg-color);
    overflow-x: hidden;
}

h3 {
    color: var(--font-color);
    text-shadow: 0 0 5px var(--main-color),
        0 0 10px var(--main-color),
        0 0 20px var(--main-color),
        0 0 40px var(--main-color);
}

p {
    color: var(--font-color);
    text-shadow: 0 0 5px var(--font-color),

        0 0 10px var(--main-color),
        0 0 20px var(--main-color),
        0 0 40px var(--main-color);
}

/*======================================== §{[Estrutura Site]}§===========================================*/
header {
    font-family: 'Font-Asthernius';
    padding: 15px 8%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: var(--gradient-white-bg2);
    z-index: 100;
    transition: .3s;
}

/*==================== §{[Estrutura+ LOGO]}§===============================*/
header .logo {
    font-size: 1.7rem;
    font-weight: 700;
}

/*======================================== §{[Estrutura Site]}§===========================================*/




/*======================================== §{[Animações]}§===========================================*/
span {

    -webkit-background-clip: text;
    color: transparent;
}

span {
    color: var(--font-color);
}

.icunizinhu {
    margin-top: 1%;
    
}

/*======================================== §{[Animações]}§===========================================*/





/*======================================== §{[Menu_Navegação]}§===========================================*/



ul.navlist1 {
    display: flex;
    margin-right: 30%;
}

.navlist1 li {

    margin: 0 1rem;
}

.navlist1 li a {

    display: inline-flex;
    font-weight: 300;
    letter-spacing: 2px;
    text-shadow: 0 0 3px #ffffff,
        0 0 5px #ffffff85;

}

.navlist1 li a:hover,
.navlist1 li a.active {
    background: var(--font-color);
    text-shadow: 0 0 3px var(--main-color),
        0 0 5px var(--main-color);
    -webkit-background-clip: text;
    color: transparent;
}










/*======================================== §{[Menu_Navegação]}§===========================================*/




/*===================================== §{[Qualquer Link de navegação]}§========================================*/
a {
    text-decoration: none;
    color: #ffffff;
}


/*===================================== §{[Qualquer Link de navegação]}§========================================*/




/*===================================== §{[Botões Principais]}§========================================*/
.btn {
    font-size: 12px;
    background: var(--gradient-white-bg2);
    text-transform: uppercase;
    border: 1px solid white;
    color: #ffffff;
    padding: 8px 10px;
    border-radius: 25px;
    font-weight: 500;
    transition: all .3s ease;
}

.btn:hover,
.Botão_Escolher .d-CV:hover {
    border: 1px solid var(--main-color);
    box-shadow: var(--main-color)0px 1px 2px 0,
        var(--main-color)0px 2px 6px 2px;
    color: var(--main-color);
}

.menu-icon {
    position: relative;
    display: block;
    width: 30px;
    height: 30px;
    cursor: pointer;
    /* background: Red; */
}

.menu-icon .bar,
.menu-icon::after,
.menu-icon::before {
    content: "";
    display: none;
    width: 100%;
    height: 4px;
    border-radius: 3px;
    background: #000;
    margin: 6px 0;
    transition: .4s;
}

.menu-icon.active::before {
    transform: rotate(-45deg) translate(-6px, 6px);
}

.menu-icon.active::after {
    transform: rotate(45deg)translate(-8px, -8px);
}

.menu-icon.active .bar {
    opacity: 0;
}


/* ==================== home section css code ============================ */
section {
    padding: 90px 8%;
}

.home {
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: flex;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    grid-gap: 4em;
    background: var(--gradient-white-bg2);
}



.readMore {
    background: var(--gradient-white-bg2);
    border: 1px solid var(--main-color);
    box-shadow: var(--main-color)0px 1px 2px 0,
        var(--main-color)0px 2px 6px 2px;

    padding: 10px 20px;
    border-radius: 50px;
    font-size: 1rem;
    font-weight: 500;
    color: var(--font-color);
    margin-right: .8rem;
    cursor: pointer;
    text-shadow: 0 0 5px var(--main-color),
        0 0 10px var(--main-color),
        0 0 20px var(--main-color),
        0 0 40px var(--main-color);
}


.personagem-informação h1 {
    color: var(--font-color);
    font-size: 3rem;
    text-transform: uppercase;
    letter-spacing: 2rem;
    font-weight: 80;
    font-family: Font-Asthernius;
    text-shadow: 0 0 5px var(--font-color),
        0 0 10px var(--main-color),
        0 0 20px var(--main-color),
        0 0 40px var(--main-color);
    text-transform: uppercase;
    letter-spacing: 1rem;
    font-size: 3.5rem;
}







.personagem-informação p {

    font-size: .9rem;
    color: var(--font-color);
    text-shadow: 0 0 5px var(--main-color);
    line-height: 1.5rem;
}

.Botão_Escolher {

    display: flex;
    justify-content: space-between;
    width: 320px;
    margin-top: 2rem;
    margin-bottom: 6rem;
}

.Botão_Escolher .btn {

    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
}

.Botão_Escolher .d-CV {

    background: var(--gradient-white-bg2);
    padding: 8px;
    border-radius: 50px;
    border: 1px solid white;
    font-weight: 500;
    color: white;
    box-shadow: 0 0 5px white;
    transition: all .3s ease;
}




.bg-icon {

    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-icon span {

    position: absolute;
    width: 50px;
    height: 50px;
    background: var(--gradient-white-bg);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    animation: animate 1s linear infinite;
}

.img-hero {
    margin-left: 8rem;

    animation: floatImage 4s ease-in-out infinite;
    animation-delay: 3s;
    mix-blend-mode: lighten;
}






/* ==================== About section css code ============================ */
.about {

    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.about .about-img {
    position: relative;
}

.about .about-img .aboutHero {
    width: 40vw;
    height: auto;
}

.about-img .ring {
    position: absolute;
    top: 22%;
    right: 1%;
}

.about-img .circle {
    position: absolute;
    top: 0%;
    left: 0%;
}


.about-content {
    padding: 3rem 0;
}

.about-content h2 {
    color: var(--font-color);
    font-weight: 150;
    text-transform: uppercase;
    text-shadow: 0 0 5px var(--font-color),
        0 0 10px var(--main-color);



}

.about-content h3 {
    color: var(--font-color);

    font-size: 2.1rem;
    font-weight: 300;
    line-height: 3rem;
    text-shadow: 0 0 5px var(--main-color),
        0 0 10px var(--main-color);
    margin: .5rem 0;
}

.about-content p {
    font-size: 20p;

    color: var(--font-color);
    text-shadow: 0 0 5px var(--main-color);

}

/*------------------------------------------------Texto abaixo da escolha de personagem-------------------------------------*/
.text-box p {

    font-size: 1.1rem;
    font-weight: 500;
}

.about-btn {
    margin: .8rem 0;
}

.about-btn button,
.cvContent a {

    background: var(--gradient-white-bg2);
    padding: 10px 20px;
    border-radius: 50px;
    border: 1px solid white;
    font-size: 1rem;
    font-weight: 500;

    color: #ffffff;
    box-shadow: rgb(204, 0, 0)0px 1px 2px 0,
        rgb(60, 64, 67)0px 2px 6px 2px;
    margin-right: .5rem;
    cursor: pointer;
    transition: all .3s ease;
}




.about-btn button.active {
    border: 1px solid var(--main-color);
    box-shadow: var(--main-color)0px 1px 2px 0,
        var(--main-color)0px 2px 6px 2px;
    color: var(--font-color);
}

.text-box {
    margin: .8rem 0;
}

.content-btn>.content:not(:first-child) {
    display: none;
}

.about-btn button:hover {
    box-shadow: var(--main-color)0px 1px 2px 0,
        rgb(255, 0, 0)0px 2px 6px 2px;
    border: 1px solid var(--main-color);
    color: var(--font-color);
}

.cvContent {
    margin-top: 1.5rem;
}

/* ==================== Services section css code ============================ */
.services {
    position: relative;
}

.main-text {
    width: 100%;
    text-align: center;
    margin-bottom: 2rem;
    color: var(--font-color);
}

.main-text .heading {
    color: var(--font-color);
    text-shadow: 0 0 5px var(--main-color),
        0 0 1px var(--main-color);
    letter-spacing: 10px;
    font-weight: 300;
    text-transform: uppercase;

}



.allServices {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    align-items: center;
    gap: 2rem;
    position: relative;
    z-index: 1;
}

.servicesItem {
    box-shadow: rgba(0, 0, 0, 0.1)0px 1px 3px 0,
        rgba(0, 0, 0, 0.06)0px 1px 2px 0px;
    padding: 2rem 1rem;
    border-radius: 10px;
    background: var(--gradient-white-bg2);
    text-align: center;
}

.icon-services {
    display: inline-flex;
    position: relative;
}

.icon-services i {
    box-shadow: rgba(0, 0, 0, 0.1)0px 1px 3px 0,
        rgba(0, 0, 0, 0.06)0px 1px 2px 0px;
    padding: .5rem;
    border-radius: 50%;
    background: var(--gradient-white-bg);
    width: 70px;
    height: 70px;
    color: var(--font-color);
    font-size: 2.5rem;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: .4s;
    z-index: 1;
}

.servicesItem:hover i {
    outline: 1px solid var(--main-color);
    transform: scale(1.2);
}

.icon-services span {
    position: absolute;
    width: 80px;
    height: 80px;
    left: -5px;
    top: -5px;
    background: var(--gradient-color-bg);
    border-radius: 50%;
    animation: animate 1s linear infinite;
}

.servicesItem h3 {
    margin: 1rem 0 0.5rem;
}

.servicesItem p {
    margin-bottom: 1.5rem;
    font-size: .9rem;
    color: var(--font-color);
}





.proposal {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    background: var(--gradient-white-bg2);
    box-shadow: rgba(0, 0, 0, 0.1)0px 1px 3px 0,
        rgba(0, 0, 0, 0.06)0px 1px 2px 0px;
    margin-top: 8rem;
    border-radius: 10px;
    padding: 0rem 2rem;
    z-index: 1;
}

.proposal img {
    width: 40vw;
    height: auto;
    margin: -4rem 0 0;
    z-index: 2;
}

.services .text-box span {
    font-size: 1.2rem;
    font-weight: 600;
}

.services .text-box h3 {
    margin-top: 1rem;
    margin-bottom: 2rem;
    font-size: 2.3rem;
    font-weight: 800;
}

.services .text-box .btn {
    padding: 10px 20px;
}


.services .showcase .ring {
    width: 100px;
    height: auto;
    position: absolute;
    top: 2%;
    left: -3%;
}

.services .showcase .circle {
    position: absolute;
    width: 70px;
    height: auto;
    top: 2%;
    right: 6%;
    filter: blur(3px);
}

.services .showcase .circle2 {
    position: absolute;
    width: 40px;
    height: auto;
    filter: blur(3px);
}

.services .showcase .circle3 {
    position: absolute;
    width: 70px;
    height: auto;
    filter: blur(3px);
    bottom: 36%;
    left: 22%;
}

.services .showcase .half-ring {
    position: absolute;
    width: 120px;
    height: auto;
    bottom: 4%;
    right: 6%;
}


/* ==================== Services section css code ============================ */
.fillter-buttons {
    text-align: center;
    padding: .5rem;
    margin-bottom: 2rem;
}

.fillter-buttons button {
    background: var(--gradient-white-bg2);
    padding: 12px 15px;
    border-radius: 5px;
    border: none;
    font-weight: 500;
    color: #000;
    box-shadow: rgba(60, 64, 67, 0.3)0px 1px 2px 0,
        rgba(60, 64, 67, 0.15)0px 2px 6px 2px;
    margin-right: .5rem;
    cursor: pointer;
    transition: all .3s ease;
}

.fillter-buttons button:hover,
button.mixitup-control-active {
    background: var(--gradient-color-bg);
    color: #fff;
}

.portfolio-gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(370px, 1fr));
    gap: 1rem;
}

.portfolio-img img {
    display: block;
    width: 100%;
    height: 160px;
    transition: .3s;
}

.portfolio-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: .5rem;
    padding: .5rem;
    box-shadow: rgba(0, 0, 0, 0.18)0px 2px 4px;
    background: var(--gradient-white-bg2);
    border-radius: 10px;
    transition: all .3s ease;
}

.portfolio-content {
    width: 100%;
    padding-left: .5rem;
    padding-bottom: .5rem;
}

.portfolio-img {
    width: 100%;
    border-radius: 5px;
    overflow: hidden;
}

.portfolio-box:hover img {
    transform: scale(1.1);
}

.portfolio-content a.readMore {
    padding: 8px 12px;
    font-size: .8rem;
}

.portfolio-content p {
    font-size: .9rem;
    color: var(--font-color);
    margin: .5rem 0 1rem 0;
}


/* ==================== Blog section css code ============================ */

.blog-box {
    padding: .5rem !important;
}

.blog {
    position: relative;
}

.cards {
    padding: 1rem .1rem;
}

.card {
    background: var(--gradient-white-bg2);
    box-shadow: rgba(0, 0, 0, 0.18)0px 2px 4px;
    padding: 1rem;
    border-radius: 10px;
}

.card-top {
    overflow: hidden;
    border-radius: 10px 10px 0 0;
}


.card:hover img {
    transform: scale(1.1);
}

.card-info {
    padding-bottom: .5rem;
    color: var(--main-color);
}

.card-info h2 {
    font-size: 1.2rem;
    margin-top: 1rem;
}

.data {
    display: block;
    margin: .2rem 0;
}

.card .excerpt {
    color: var(--font-color);
    margin-bottom: 1.5rem;
}

.swiper-pagination {
    position: relative !important;
    margin-top: 3rem;
}

.swiper-pagination-bullet {
    height: 10px !important;
    width: 30px !important;
    border-radius: 25px !important;
    background: var(--gradient-color-bg) !important;
}

.blog .showcase img {
    position: absolute;
    width: 90px;
    height: 90px;
}

.blog .showcase .circle {
    filter: blur(3px);
}

.blog .showcase .ring {
    top: 0;
    left: -1%;
}

.blog .showcase .half-ring {
    top: 10%;
    right: 10%;
}

.blog .showcase .second-circle {
    top: 30%;
    left: 2%;
    filter: blur(1px);
}


/* ==================== Contact section css code ============================ */

.contactSkills {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.contact-info,
.skills {
    width: 100%;
    background: var(--gradient-white-bg2);
    box-shadow: rgba(0, 0, 0, 0.18)0px 2px 4px;
    padding: 1rem;
    border-radius: 10px;
}


.contact-info input,
.contact-info form textarea {
    width: 100%;
}

.contact-info form input,
.contact-info form textarea {
    /* width: 100%; */
    padding: .8rem;
    border: 2px solid #e8e1e1;
    margin: .5rem 0;
    background: #e8f1f9;
    border-radius: 5px;
    outline: none;
    transition: .3s;
}

.contact-info form .input-box {
    display: flex;
    justify-content: space-between;
}

.input-box input {
    width: 49%;
}

form input:focus,
form textarea:focus {
    filter: brightness(100%);
    background: #d2e9ff;
    border: 2px solid #f8caca;
}

form textarea {
    resize: none;
}

form .btn {
    padding: 15px 20px;
    cursor: pointer;
    border: none;
}

/* ==================== Skills section css code ============================ */

.skillBox {
    padding: 0 1rem 1rem;
}

.skillBox .main-text {
    margin-bottom: 1rem;
}

.skill-wrap {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, auto));
    justify-content: center;
    grid-gap: 2.5rem;
}

.skill {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.outer-circle {
    width: 170px;
    height: 170px;
    position: relative;
    margin-bottom: 1rem;
    padding: 20px;
    border-radius: 50%;
    box-shadow: var(--main-color) 0px 6px 12px -2px,
        #370000 0px 3px 7px -3px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.inner-circle {
    width: 130px;
    height: 130px;
    border-radius: 50%;
    box-shadow: var(--main-color) 3px 3px 6px 0px inset,
        #370000 -3px -3px 6px 1px inset;
}

.outer-circle svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.outer-circle svg circle {
    fill: none;
    stroke-width: 5px;
    stroke: var(--main-color);
    ;
    stroke-linecap: round;
    stroke-dasharray: 465;
    stroke-dashoffset: 464;
}


.outer-circle h2.counter {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    font-size: .9rem;
    font-weight: 400;
}

h2.counter span {

    font-size: 1.7rem;
}

.sk-title {
    font-size: 1rem;
    font-weight: 500;
}

/*======================= footer ============================ */
footer {
    text-align: center;
    margin: 0 8%;
    padding: 2rem 0;
    border-top: 2px solid #e8e1e1;
}


#progress {
    position: fixed;
    /* background: #194eb9; */
    z-index: 1000;
    bottom: 60px;
    right: 10px;
    width: 50px;
    height: 50px;
    display: none;
    place-items: center;
    border-radius: 50%;
    color: #1d002c;
    cursor: pointer;
    box-shadow: rgba(50, 50, 93, 0.25)0px 50px 100px -20px,
        rgba(0, 0, 0, 0.3)0px 30px 60px -30px,
        rgba(10, 37, 64, 0.35)0px -2px 6px 0px inset;
}


#progress-value {
    display: grid;
    height: calc(100% - 12px);
    width: calc(100% - 12px);
    background: var(--gradient-color-bg);
    border-radius: 50%;
    color: #fff;
    place-items: center;
    font-size: 25px;
}










/*======================= @keyframes ============================ */

@keyframes moveText {

    0%,
    10%,
    100% {
        background-position: -24rem 0;
    }

    65%,
    85% {
        background-position: 0rem 0;
    }
}

@keyframes moveCursorText {

    0%,
    10%,
    100% {
        width: 0;
    }

    65%,
    78%,
    85% {
        width: 100%;
        opacity: 1;
    }

    75%,
    85% {
        opacity: 0;
    }
}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotateText {
    0% {
        transform: rotate(360deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

@keyframes progress {
    to {
        stroke-dashoffset: var(--target);
    }
}

@keyframes floatImage {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-22px);
    }

    100% {
        transform: translateY(0);
    }
}




/*======================= BreakPoints ============================ */

@media(max-width:1200px) {
    html {
        font-size: 95%;
    }
}

@media(max-width:991px) {

    header,
    section,
    footer {
        padding-left: 3%;
        padding-right: 3%;
    }

    .home,
    .portfolio-box {
        flex-direction: column-reverse;
    }

    .about,
    .contactSkills {
        flex-direction: column;
    }

    .about .about-img .aboutHero {
        width: 100%;
    }

    .proposal img {
        width: 52vw;
    }

    .portfolio-img img {
        width: 100%;
        height: 100%;
    }

    .portfolio-gallery {
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    }

    .img-hero {
        margin-top: 3rem;
        margin-right: 6rem;
    }
    .personagem-informação{
        margin-left:auto;
    }
}

@media(max-width:768px) {
    .proposal {
        display: none;
    }

    .menu-icon .bar,
    .menu-icon::after,
    .menu-icon::before {
        display: block;
    }

    ul.navlist {
        position: absolute;
        top: -1000px;
        transition: all .3s ease;
        width: 100%;
        text-align: center;
        display: block;
        background: var(--gradient-white-bg);
        left: 0;
        border-top: 2px solid rgba(248, 202, 202, .7);
    }

    ul.navlist a {
        font-size: 1.5rem;
        margin: 1rem 0;
    }

    .navlist.active {
        top: 100%;
    }

    .overlay {
        width: 100vw;
        height: 100vh;
        top: 0;
        left: 0;
        position: fixed;
        background: rgba(0, 0, 0, 0.5);
        z-index: 8;
        opacity: 0;
        transform: .3s;
        pointer-events: none;
    }

    body.open .overlay {
        opacity: 1;
        pointer-events: auto;
    }

    .btn {
        padding: 10px;
    }

    .home {
        grid-gap: 0;
    }

    .fillter-buttons button {
        padding: 10px;
        font-size: .8rem;
    }
}

@media(max-width:530px) {
    html {
        font-size: 80%;
    }

    section {
        padding: 50px 3%;
    }

    .contact-info form .input-box {
        display: block;
    }

    .input-box input {
        width: 100%;
    }

    .rotate-text {
        display: none;
    }

    .img-hero img {
        width: 400px;
       margin-left:15px;
       margin-top:-100rem;
        
    }

    .text-animate {
        width: 23.8rem;
    }

    .btn-box {
        width: 266px;
        margin-bottom: 3rem;
    }

    .about-btn button {
        padding: 10px 15px;
    }

    .fillter-buttons {
        display: grid;
        grid-gap: 1rem;
    }

    .fillter-buttons button {
        width: 100%;
        padding: 13px;
    }
}




.wrapper {
    width: 40%;
    min-width: 500px;

    margin-left: 30%;

}




.container * {
    font-family: 'Font-Asthernius'
    ;
    color: var(--font-color);
    text-shadow: 0 0 15px var(--main-color),
        0 0 5px var(--main-color);

    font-weight: 500;
    letter-spacing: 1px;
}

h2 {
    margin-bottom: 40px;
    letter-spacing: 1px;
}

.skills:not(:last-child) {
    margin-bottom: 30px;
}

.details {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.bar {
    position: relative;
    background-color: rgba(255, 255, 255, 0.06);
    border: 1px solid rgba(255, 255, 255, 0.06);
    padding: 7px 10px;
    border-radius: 20px;
    backdrop-filter: blur(10px);
}

.bar div {
    position: relative;
    width: 0;
    height: 5px;
    border-radius: 10px;
    background-color: var(--font-color);
    border: 1px solid var(--main-color);
    box-shadow: var(--hover-box-shadow);

}

#html-bar {
    animation: html-fill 13s forwards;
}

@keyframes html-fill {
    100% {
        width: 90%;
    }
}

#css-bar {
    animation: css-fill 20s forwards;
}

@keyframes css-fill {
    100% {
        width: 75%;
    }
}

#js-bar {
    animation: js-fill 14s forwards;
}

@keyframes js-fill {
    100% {
        width: 82%;
    }
}

#jQuery-bar {
    animation: jQuery-fill 15s forwards;
}

@keyframes jQuery-fill {
    100% {
        width: 68%;
    }
}

#css-bar1 {
    animation: css-fill 17s forwards;
}

@keyframes css-fill {
    100% {
        width: 75%;
    }
}











/*Caixa de habilidades */

.wrap {
    max-width: 900px;
    margin: 0 auto;
    padding-left: 1em;
    padding-right: 1em;
}

.card {
    color: var(--font-color);

    background: var(--gradient-white-bg2);
    box-shadow: 0px 0px 4px var(--main-color);
    border: 3px solid var(--main-color);
    border-radius: 4px;
    position: relative;
    display: grid;
    justify-items: center;
    align-items: center;
    padding-top: 1em;
    padding-bottom: 1em;
}

.card img {
    display: block;
    position: relative;
    z-index: 1;
    width: 80%;
    margin: 0 auto;
    transition: transform 0.2s ease-in-out;
}

.card img.large {
    width: 50%;
    transition: ease-in 0.5 all;
    filter: brightness(0) invert(1);
}

.card:hover img {
    filter: brightness(1);
    transition: 0.2s ease-in all;
}

.item-title {
    color: var(--font-color);
    text-shadow: 0 0 5px var(--main-color);
    position: absolute;
    left: 1em;
    bottom: 1em;
}

.image-container {
    transition: ease-in 0.5 all;
    filter: brightness(0) invert(1);
    position: relative;
}

.image-container:hover {
    filter: brightness(1);
    transition: 0.2s ease-in all;

}

.shadow {

    position: absolute;
    bottom: 1em;
    left: 50%;
    transform: translateX(-50%);
}

/* ------------------------------- */

.layout {

    display: grid;
    grid-gap: 1em;

    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
}


.card-b {
    grid-column: 2/4;
    grid-row: 1/3;
}

.card-c {
    grid-column: 4/5;

}


@media (max-width: 700px) {
    .card {
        grid-column: span 2;
    }

    .card-b {
        grid-column: 1/5;
        grid-row: 1/2;
    }

    .card-c {
        grid-column: 1/5;
        grid-row: 2/3;
    }
}

@media (max-width: 400px) {
    .card {
        grid-column: span 4;
    }

    .item-title {
        position: relative;
        left: 0;
    }
}